<ion-content padding>
  <div class="pageContainer">
    <div class="pageContainerInner">
      <div class="logoContainer">
        <img src="../../assets/images/logoWhite.png">
        <p>Never lose your WARRANTIES</p>
      </div>
      <form #floginUser="ngForm" (ngSubmit)="floginUser.valid && loginUser()" novalidate="novalidate">
      <div class="box">
        <p class="text-center">Login</p>
        <div class="mobileNumberContainer">
          <ion-input type="tel" minlength="10" maxlength="10" clearInput placeholder="Mobile Number" [(ngModel)]="model.mobileNumber" name="mobileNumber" #mobileNumber=ngModel required></ion-input>
        </div>
        <div *ngIf="floginUser.submitted">
          <div *ngIf="mobileNumber?.errors?.required">
            This field is required.
          </div>
          <div *ngIf="mobileNumber?.errors?.minlength">
            Wrong mobile number.
          </div>
       </div>
        <ion-button expand="full"  [routerDirection]="'root'" type="submit">Login</ion-button>
        <p class="logWithPwd"><span>OR</span></p>
        <ion-button expand="block" fill="outline"   [routerDirection]="'root'"  routerLink="/password-login">Login with Password</ion-button>
      </div>
      </form>
    </div>
  </div>
</ion-content>